aboutsummaryrefslogtreecommitdiffstats
path: root/meta-oe/recipes-dbs/postgresql/files/not-check-libperl.patch
diff options
context:
space:
mode:
authorArmin Kuster <akuster808@gmail.com>2018-04-07 23:24:57 -0700
committerArmin Kuster <akuster808@gmail.com>2018-04-13 12:43:42 -0700
commita03645865e53bbe393211bc5d8b2a55505217085 (patch)
tree79f452074917ced61263833b857970b105ad3850 /meta-oe/recipes-dbs/postgresql/files/not-check-libperl.patch
parentcf2be348aee00dbebf1fc36a03e19e6e9360d4b8 (diff)
downloadmeta-openembedded-contrib-a03645865e53bbe393211bc5d8b2a55505217085.tar.gz
meta-openembedded-contrib-a03645865e53bbe393211bc5d8b2a55505217085.tar.bz2
meta-openembedded-contrib-a03645865e53bbe393211bc5d8b2a55505217085.zip
postgresql: refresh patches
WARNING: postgresql-9.4.15-r0 do_patch: Some of the context lines in patches were ignored. This can lead to incorrectly applied patches. The context lines in the patches can be updated with devtool: devtool modify <recipe> devtool finish --force-patch-refresh <recipe> <layer_path> Then the updated patches and the source tree (in devtool's workspace) should be reviewed to make sure the patches apply in the correct place and don't introduce duplicate lines (which can, and does happen when some of the context is ignored). Further information: http://lists.openembedded.org/pipermail/openembedded-core/2018-March/148675.html https://bugzilla.yoctoproject.org/show_bug.cgi?id=10450 Details: Applying patch remove.autoconf.version.check.patch patching file configure.in Hunk #1 succeeded at 19 with fuzz 2. Now at patch remove.autoconf.version.check.patch Signed-off-by: Armin Kuster <akuster808@gmail.com>
Diffstat (limited to 'meta-oe/recipes-dbs/postgresql/files/not-check-libperl.patch')
-rw-r--r--meta-oe/recipes-dbs/postgresql/files/not-check-libperl.patch13
1 files changed, 5 insertions, 8 deletions
diff --git a/meta-oe/recipes-dbs/postgresql/files/not-check-libperl.patch b/meta-oe/recipes-dbs/postgresql/files/not-check-libperl.patch
index e199f39143..971510943d 100644
--- a/meta-oe/recipes-dbs/postgresql/files/not-check-libperl.patch
+++ b/meta-oe/recipes-dbs/postgresql/files/not-check-libperl.patch
@@ -13,11 +13,11 @@ Signed-off-by: Roy Li <rongqing.li@windriver.com>
configure.in | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
-diff --git a/configure.in b/configure.in
-index ae1a5a0..9a0970d 100644
---- a/configure.in
-+++ b/configure.in
-@@ -1877,7 +1877,7 @@ if test "$with_tcl" = yes; then
+Index: postgresql-9.4.15/configure.in
+===================================================================
+--- postgresql-9.4.15.orig/configure.in
++++ postgresql-9.4.15/configure.in
+@@ -1879,7 +1879,7 @@ if test "$with_tcl" = yes; then
fi
# check for <perl.h>
@@ -26,6 +26,3 @@ index ae1a5a0..9a0970d 100644
ac_save_CPPFLAGS=$CPPFLAGS
CPPFLAGS="$CPPFLAGS -I$perl_archlibexp/CORE"
AC_CHECK_HEADER(perl.h, [], [AC_MSG_ERROR([header file <perl.h> is required for Perl])],
---
-1.9.1
-